Update Check Settings
PATCH /api/websites/:websiteId/check-config
Update Check Settings
PATCH /api/websites/:websiteId/check-config
Configure which aspects of the website should be monitored.
Request Body
{
"checkSslEnabled": true,
"checkHttpsRedirectEnabled": true,
"checkStatusEnabled": true,
"checkSizeEnabled": true,
"checkResponseTimeEnabled": true,
"checkKeywordEnabled": false,
"checkDomainExpiryEnabled": true,
"minPageSize": 1024,
"maxPageSize": 5242880
}
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X PATCH \
"$BASE_URL/api/websites/101/check-config" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"checkSslEnabled":true,"checkHttpsRedirectEnabled":true,"checkStatusEnabled":true,"checkSizeEnabled":true,"checkResponseTimeEnabled":true,"checkKeywordEnabled":false,"checkDomainExpiryEnabled":true,"minPageSize":1024,"maxPageSize":5242880}'
Example Response
{
"success": true
}
Common errors
400 Invalid website IDwhen:websiteIdis invalid401 Unauthorizedwhen you are not logged in403 Forbiddenwhen you do not have write access to the website404 Website not foundwhen the website does not exist